# Class RelationsFinder

RelationsFinder class this finder searches for relations between a sourceTable (table of the topView) and a subView (here the targetTable is used)

- Defined in relations/relations_finder.ts:10

##### Index

### Constructors

constructor

### Methods

findRelations
multiRelationPaths
singleRelationPaths

## Constructors

### constructor

- new RelationsFinder(
  allTables: any,
  allViews: any,
  maxDepth: number,
  ): RelationsFinder

  #### Parameters

  - allTables: any
  - allViews: any
  - maxDepth: number

  #### Returns RelationsFinder

  - Defined in relations/relations_finder.ts:17

## Methods

### findRelations

- findRelations(
  sourceTblName: string,
  subView: string,
  excluded: string[],
  ): Relation[]

  creates an array of Relation objects

  #### Parameters

  - sourceTblName: string
  - subView: string
  - excluded: string[]

  #### Returns Relation[]

  - Defined in relations/relations_finder.ts:35

### multiRelationPaths

- multiRelationPaths(
  sourceTblName: string,
  subView: string,
  excluded: string[],
  ): string[]

  This is a helper method for findRelations() it returns raw relation strings

  #### Parameters

  - sourceTblName: string
  - subView: string
  - excluded: string[]

  #### Returns string[]

  - Defined in relations/relations_finder.ts:182

### singleRelationPaths

- singleRelationPaths(
  sourceTblName: string,
  subView: string,
  excluded: string[],
  ): string[]

  This is a helper method for findRelations() it returns raw relation strings

  #### Parameters

  - sourceTblName: string
  - subView: string
  - excluded: string[]

  #### Returns string[]

  - Defined in relations/relations_finder.ts:107